Bug 217998

Summary: Web Inspector: Change minimum width of #tab-browser to a more reasonable value
Product: WebKit Reporter: Patrick Angle <pangle>
Component: Web InspectorAssignee: Patrick Angle <pangle>
Status: RESOLVED FIXED    
Severity: Normal CC: bburg, drousso, ews-watchlist, inspector-bugzilla-changes, pangle, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Screenshot before patch
none
Patch
none
Screenshot after patch
none
Sidebar resizing (docked bottom) after patch
none
Sidebar resizing (docked side) after patch none

Description Patrick Angle 2020-10-20 15:54:12 PDT
Created attachment 411930 [details]
Screenshot before patch

Currently the #tab-browser portion (for example the DOM Tree of the Elements Tab) has a minimum width of 100px. With the work done in b217396, it is now even easier to find this minimum width, and this minimum width is too small in almost all cases.
Comment 1 Patrick Angle 2020-10-23 07:48:26 PDT
Created attachment 412173 [details]
Patch
Comment 2 Patrick Angle 2020-10-23 07:49:10 PDT
Created attachment 412174 [details]
Screenshot after patch
Comment 3 Patrick Angle 2020-10-23 07:49:54 PDT
Created attachment 412175 [details]
Sidebar resizing (docked bottom) after patch
Comment 4 Patrick Angle 2020-10-23 07:50:09 PDT
Created attachment 412176 [details]
Sidebar resizing (docked side) after patch
Comment 5 BJ Burg 2020-10-23 08:24:15 PDT
Comment on attachment 412173 [details]
Patch

r=me, this looks so much better than before. I have a slight concern that it's hard to make the main content area really big by resizing the window itself, but I think that will be addressed by adding a toggle for showing >1 sidebar pane.
Comment 6 EWS 2020-10-26 10:25:28 PDT
Committed r268981: <https://trac.webkit.org/changeset/268981>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 412173 [details].
Comment 7 Radar WebKit Bug Importer 2020-10-26 10:26:29 PDT
<rdar://problem/70684444>